#
# spec file for package libupnp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 6
%define ixml_soname 2
%define threadutil_soname 6

Name:           libupnp
Summary:        Universal Plug and Play (UPnP) SDK
License:        BSD
Group:          System/Libraries
Url:            http://pupnp.sourceforge.net
Version:        1.6.19
Release:        3.5
Source:         http://prdownloads.sourceforge.net/pupnp/libupnp-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  pkgconfig

%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libupnp%{soname}
Summary:        Universal Plug and Play (UPnP) SDK
Group:          System/Libraries

%description -n libupnp%{soname}
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libixml%{ixml_soname}
Summary:        Universal Plug and Play (UPnP) SDK
Group:          System/Libraries

%description -n libixml%{ixml_soname}
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libthreadutil%{threadutil_soname}
Summary:        Universal Plug and Play (UPnP) SDK
Group:          System/Libraries

%description -n libthreadutil%{threadutil_soname}
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libupnp-devel
Summary:        Include files needed for development with libupnp
Group:          Development/Libraries/C and C++
Requires:       libupnp%{soname} = %{version}
Provides:       libixml-devel = %{version}
Provides:       libthreadutil-devel = %{version}

%description -n libupnp-devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.

%prep
%setup -q

%build
# we don't want -Os forced on us
sed -i -e 's/AX_CFLAGS_GCC_OPTION.*/:/' configure.ac
autoreconf -fi
%configure \
	   --disable-static \
	   --with-documentation="%{_docdir}/%{name}" \
	   --without-documentation \
	   --enable-client \
	   --enable-device \
	   --enable-webserver \
	   --enable-tools \
	   --disable-samples

%__make %{?_smp_mflags}

%install
%makeinstall

%{__rm} -f %{buildroot}%{_libdir}/*.la

%__install -d "%{buildroot}%{_docdir}/%{name}"
echo -n > rpm-doc-files.lst
for f in AUTHORS ChangeLog COPYING LICENSE NEWS README THANKS TODO; do
    if [ -s "$f" ]; then
        %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
	echo "%doc %{_docdir}/%{name}/${f}" >> rpm-doc-files.lst
    fi
done

%clean
%__rm -rf "%{buildroot}"

%post -n libupnp%{soname} -p /sbin/ldconfig
%postun -n libupnp%{soname} -p /sbin/ldconfig

%post -n libixml%{ixml_soname} -p /sbin/ldconfig
%postun -n libixml%{ixml_soname} -p /sbin/ldconfig

%post -n libthreadutil%{threadutil_soname} -p /sbin/ldconfig
%postun -n libthreadutil%{threadutil_soname} -p /sbin/ldconfig

%files -n libupnp%{soname}
%defattr(-,root,root)
%{_libdir}/libupnp.so.%{soname}*

%files -n libixml%{ixml_soname}
%defattr(-,root,root)
%{_libdir}/libixml.so.%{ixml_soname}*

%files -n libthreadutil%{threadutil_soname}
%defattr(-,root,root)
%{_libdir}/libthreadutil.so.%{threadutil_soname}*

%files -n libupnp-devel -f rpm-doc-files.lst
%defattr(0644,root,root,0755)
%dir %doc %{_docdir}/%{name}
%{_includedir}/upnp
%{_libdir}/libixml.so
%{_libdir}/libthreadutil.so
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc
#exclude %{_libdir}/*.{a,la}

%changelog
* Wed Mar 30 2011 reddwarf@opensuse.org
- new version 1.6.13
  * soname bump
* Sun Dec 19 2010 lnussel@suse.de
- new version 1.6.10
  * soname bump
- cleanup, split according to library policy
* Mon Mar 23 2009 andrea@links2linux.de
- new upstream version 1.6.6
* Sun Apr 13 2008 guru@unixtech.be
- fixed URL
- new upstream version
* Sat Oct 27 2007 quentin@links2linux.de
- first package with version
